> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/tasks/post-tasks-change-lists/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Updates the task lists of tasks. POST https://api.awork.com/api/v1/tasks/changelists Content-Type: application/json Updates the task lists of tasks. The listed tasks are assigned to the selected lists. The user must have permission to access the requested resource. Reference: https://developers.awork.com/apiv1/tasks/post-tasks-change-lists ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a list of ChangeTaskListsForm. - `list of ChangeTaskListsForm` ## Response ### 200 OK - `list of ChangeTaskListsForm` ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ChangeTaskListsForm - `taskId` (string, required) — The id of the task to change. - `taskLists` (list of TaskListToTaskForm, required) — The lists the task should be moved to. ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ### TaskListToTaskForm - `id` (string, required) — The id of the task list. - `order` (double, optional, nullable) — The order of the task in the list. If null, the task is moved to the end of the list. - `isPrimary` (boolean, optional, nullable) — Whether the TaskList should be the primary list for the task. If not specified for any list of the task, the first list by order will be the primary list. ## Examples **Request** ```json [ { "taskId": "123e4567-e89b-12d3-a456-426614174000", "taskLists": [ { "id": "123e4567-e89b-12d3-a456-426614174000" } ] } ] ``` **Response** ```json [ { "taskId": "123e4567-e89b-12d3-a456-426614174000", "taskLists": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "order": 3, "isPrimary": true } ] } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/tasks/changelists" payload = [ { "taskId": "123e4567-e89b-12d3-a456-426614174000", "taskLists": [{ "id": "123e4567-e89b-12d3-a456-426614174000" }] } ] headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/tasks/changelists'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '[{"taskId":"123e4567-e89b-12d3-a456-426614174000","taskLists":[{"id":"123e4567-e89b-12d3-a456-426614174000"}]}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/tasks/changelists" payload := strings.NewReader("[\n {\n \"taskId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"taskLists\": [\n {\n \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n ]\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/tasks/changelists") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"taskId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"taskLists\": [\n {\n \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n ]\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.awork.com/api/v1/tasks/changelists") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n \"taskId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"taskLists\": [\n {\n \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n ]\n }\n]") .asString(); ``` ```php request('POST', 'https://api.awork.com/api/v1/tasks/changelists', [ 'body' => '[ { "taskId": "123e4567-e89b-12d3-a456-426614174000", "taskLists": [ { "id": "123e4567-e89b-12d3-a456-426614174000" } ] } ]', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/tasks/changelists"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"taskId\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"taskLists\": [\n {\n \"id\": \"123e4567-e89b-12d3-a456-426614174000\"\n }\n ]\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ [ "taskId": "123e4567-e89b-12d3-a456-426614174000", "taskLists": [["id": "123e4567-e89b-12d3-a456-426614174000"]] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/tasks/changelists")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```